summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2008-06-19 17:19:21 +0200
committerKarolin Seeger <kseeger@samba.org>2008-06-23 14:20:07 +0200
commit44031107568fae0afe501bf218b48aa74598f132 (patch)
tree3ec14750d73036549686faaccadd483d078fa97c
parentffb695ddbbfa558f45b34382eb7e2b810c0cad3f (diff)
downloadsamba-44031107568fae0afe501bf218b48aa74598f132.tar.gz
testsuite: enable the testparm_s3 tests.
Michael (cherry picked from commit 0f5c13e5735990f4325f98156a7dc410276372fe) (cherry picked from commit 784e9e6b9ce4cc043bdeba8ca396f59de51cd294)
-rwxr-xr-xsource/script/tests/tests_all.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source/script/tests/tests_all.sh b/source/script/tests/tests_all.sh
index fa62a5129cc..e44ec8b3c45 100755
--- a/source/script/tests/tests_all.sh
+++ b/source/script/tests/tests_all.sh
@@ -48,6 +48,12 @@ net_s3() {
|| failed=`expr $failed + $?`
}
+testparm_s3() {
+ echo "RUNNING TESTS testparm_s3"
+ $SCRIPTDIR/test_testparm_s3.sh \
+ || failed=`expr $failed +$?`
+}
+
posix_s3() {
echo "RUNNING TESTS posix_s3"
eval "$LIB_PATH_VAR="\$SAMBA4SHAREDDIR:\$$LIB_PATH_VAR"; export $LIB_PATH_VAR"
@@ -76,6 +82,7 @@ if test "x$TESTS" = "x" ; then
wbinfo_s3
ntlm_auth_s3
net_s3
+ testparm_s3
posix_s3
else
for THIS_TEST in $TESTS; do